#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libtheora
Version		:	1.1.1
Release		:	16.2.0.rel%{?dist}
Summary		:	Theora Video Compression Codec
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	http://www.theora.org

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	libogg
BuildRequires	:	libvorbis
#-----------------------------------------------------------------------------
%description
Theora is Xiph.Org's first publicly released video codec, intended
for use within the Ogg's project's Ogg multimedia streaming system.
Theora is derived directly from On2's VP3 codec; Currently the two are
nearly identical, varying only in encapsulating decoder tables in the
bitstream headers, but Theora will make use of this extra freedom
in the future to improve over what is possible with VP3.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS CHANGES COPYING LICENSE
%{_includedir}/theora/*.h
%{_libdir}/%{name}*.{la,so*}
%{_libdir}/pkgconfig/theora*.pc
%{_defaultdocdir}/%{name}-%{version}/*.{html,stamp,txt,xml}
%{_defaultdocdir}/%{name}-%{version}/latex/Makefile
%{_defaultdocdir}/%{name}-%{version}/latex/*.{sty,tex}
%{_defaultdocdir}/%{name}-%{version}/html/*.{css,gif,html,js,png}

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

sed -i							\
  -e "s:png_sizeof:sizeof:"				\
  examples/png2theora.c

autoreconf -i -f -I m4
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	

#-----------------------------------------------------------------------------
%changelog
